## org.apache.bcel.util
Class ClassVector

    java.lang.Object
      |
      +--org.apache.bcel.util.ClassVector

All Implemented Interfaces:
  java.io.Serializable

public class ClassVector
extends java.lang.Object
implements java.io.Serializable

Utility class implementing a (typesafe) collection of JavaClass objects. Contains the most important methods of a Vector.

Version:
  $Id: ClassVector.java,v 1.2 2002/07/11 19:39:05 mdahm Exp $
Author:
  M. Dahm
See Also:
  `ClassQueue`, Serialized Form

Field Summary
`protected java.util.ArrayList` `vec`

Constructor Summary
`ClassVector()`

Method Summary
`void` `addElement(JavaClass clazz)`
`JavaClass` `elementAt(int index)`
`void` `removeElementAt(int index)`
`JavaClass[]` `toArray()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vec

    protected java.util.ArrayList vec

Constructor Detail

### ClassVector

    public ClassVector()

Method Detail

### addElement

    public void addElement(JavaClass clazz)

### elementAt

    public JavaClass elementAt(int index)

### removeElementAt

    public void removeElementAt(int index)

### toArray

    public JavaClass[] toArray()

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.